﻿////mr-bundler-ignore
var mrOwlAnimateOut = undefined;
var mrOwlsmartSpeed = undefined;
function MrStartUI() {
  
  MrMUISecoundryColor = '#008755';
  MrMUIPrimaryColor = '#F5F5F5';
  MrMUIToolWidth = "30vw";
  MrMUIToolMaxWidth = "500px";
  MrMUIToolMinWidth = "300px";
  MrMUIIconColor = "#008755";
  MrExcludedCSSElementsSelector = ".fa, .fab, .fad, .fal, .far, .fas,i";
  MrReadSpeakerBtn = "readspeaker_button1";
  Mrnoggt = false;
  MrCID = 176;
  mrUseSimulationClickReadSpeaker = true;
  try {
    MrArabicUIisOn = SiteLang;
  }
  catch (err) {
    MrArabicUIisOn =
      document.getElementsByTagName("html")[0].getAttribute("lang") == "ar" ||
      window.location.href
        .toString()
        .toLowerCase()
        .indexOf("/ar/".toLowerCase()) > -1;
  }

  if (window.location.href.endsWith("dubaipolice.gov.ae/wps/portal/home")) {
    MrExcludedAnimationElement = ".home-campaign-carousel , .home-bg-slider ,.home-bg-slider * , .home-campaign-carousel *";

    MrPostPauseAnimation = function () {
      var homecampainCar = jQuery('.home-campaign-carousel');
      if (homecampainCar.length > 0) {
        if (homecampainCar.data() != null && homecampainCar.data() != undefined) {
          mrOwlAnimateOut = homecampainCar.data('owl.carousel').options.animateOut;
          homecampainCar.data('owl.carousel').options.animateOut = false;
          mrOwlsmartSpeed = homecampainCar.data('owl.carousel').settings.smartSpeed;
          homecampainCar.data('owl.carousel').settings.smartSpeed = 0;
        }
      }
    }

    MrPostPlayAnimation = function () {
      var homecampainCar = jQuery('.home-campaign-carousel');
      if (mrOwlAnimateOut != undefined && mrOwlsmartSpeed != undefined) {
        jQuery('.home-campaign-carousel').data('owl.carousel').options.animateOut = mrOwlAnimateOut;
        jQuery('.home-campaign-carousel').data('owl.carousel').settings.smartSpeed = mrOwlsmartSpeed;
      }
    }
  }

  MrPostReadSpeakerOn = function () {
    jQuery('.rs-controlpanel-close').click(function () {
      MrMUIChooseToggleButton(1, "MrReadSpeakerFeature");

    });
  }

  MrArabicFlag = "uae";
  var mrappendedfeatures = ["MrSignLanguage", "MrReadSpeakerFeature", "MrControl_Page_contrast", "MrCursor_Helpers", "MrChangefont", "MrPage_saturation_control", "MrWords_Spacing", "MrRealWords_Spacing", "MrLine_Spacing", "MrEnlarge_Fonts", "MrHighlight_Links", "MrAnimation", "MrText_Alignments", "MrHideImgs", "MrPage_Structure"]
  
  if ($("#mr-hide-sl").length > 0) {
    if ($("#mr-hide-sl").val() == 'true' && MrisMobileBrowser()) {
      var mrSlindex = mrappendedfeatures.indexOf("MrSignLanguage");
      if (mrSlindex !== -1) {
        mrappendedfeatures.splice(mrSlindex, 1);
      }
    }
  }

  MRUAPPrepareUI(mrappendedfeatures, ["MrVisuallyImpaired", "Mrdyslexia", "MrADHD", "MrSeizureAndEpilepsy", "MrColor_Blind", "Mrcognitive_education", "MrImpaired_mobility"]);


  var MrIconMessage = MrArabicUIisOn ? "مساعدة في استخدام الموقع" : "Assist using site";



  MrGotoArabicVersion = function () {
    try {
      document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
    } catch (err) { }
    if (!MrArabicUIisOn) {

      jQuery('#switchToArabicbtn').click();
      MrUPChangeToolLangToAR();
    }
  };
  MrGotoEnglishVersion = function () {
    try {
      document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
    } catch (err) { }
    if (MrArabicUIisOn) {

      jQuery('#switchToEnglishbtn').click();
      MrUPChangeToolLAngToEN();
    }
  };

  var leftOrRight = MrArabicUIisOn ? "right" : "left";
  if (MrArabicUIisOn) {

    MrUAPLeftRightAssistTool();
  }

  MrUAPAddStyle('div.owl-stage .owl-item h5.mr-light-contrast {color : white !important}', 'UIFixs');
  MrUAPAddStyle('div.owl-stage .owl-item p.mr-light-contrast {color : white !important}', 'UIFixs');
  MrUAPAddStyle('.btn-primary.mr-light-contrast {border : 1px solid #000000 !important}', 'UIIFixxs');
  MrUAPAddStyle('.btn-primary.mr-dark-contrast {border : 1px solid #FFFFFF !important}', 'UIIFixxs');

  MrUAPAddStyle('.visualCaptcha-possibilities a.mr-activate-highlite { background-color: transparent !important;}', "UIIFIxss");
  MrUAPAddStyle('.visualCaptcha-button-group div.mr-light-contrast-bg:not(.MrButtonIndexLine,#Mr-MaskUp-Div,#Mr-MaskDown-Div) { background-color: rgb(44,62,80) !important;border-color: rgb(0, 0, 0) !important;}')
  MrUAPAddStyle('#childImagesDiv .img.mr-dark-contrast {border: 1px solid #FFFFFF}', 'mrFixCaptchaButtons');
  MrUAPAddStyle('#childImagesDiv .img.mr-light-contrast {border: 1px solid #000000}', 'mrFixCaptchaButtons1');
  MrUAPAddStyle('.visualCaptcha-button-group div.mr-dark-contrast {border : 1px solid #FFFFFF !important}', 'mrFixCaptchaButtons2')
  MrUAPAddStyle('.visualCaptcha-button-group div.mr-light-contrast {border : 1px solid #000000 !important}', 'mrFixCaptchaButtons3')
  MrUAPAddStyle('.btn.btn-secondary.mr-dark-contrast , .btn-secondary.mr-dark-contrast {background-color : #000000 !important ; color : #FFFFFF !important }', 'sdosddksdokd');
  MrUAPAddStyle('.btn-secondary.mr-light-contrast {border : 1px solid #000000 !important}', 'UIIFixxs');
  MrUAPAddStyle('.btn-secondary.mr-dark-contrast {border : 1px solid #FFFFFF !important}', 'UIIFixxs2');
  jQuery('button *,.material-icons').addClass('mr-text-align-skip')

  jQuery('#sample-captcha * , #sample-captcha').addClass('mr-text-align-skip');
  jQuery('.btn').addClass('mr-text-align-skip');

  if ($("#accesssibilityId").length < 0) {

    var MrIconToAdd = '<div id="MrAccessInHand" title="' + MrIconMessage +
      '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' + MrIconMessage + '"></div>';

    MrUAPAddStyle(
      "#MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 99;cursor:pointer; position: fixed; bottom: 150px; " + leftOrRight + ": 5px; background-color: " +
      MrMUIIconColor +
      "; border-radius: 50%;width:55px;height:55px;text-align:center } #MrAccessInHand img{filter:" +
      MrUtilHexToFilter(MrMUIWhite) +
      ";margin-top:6px;width:42px}",
      "MrbuttonCSS"
    );

    jQuery("body").append(MrIconToAdd);
  } else {
    var MrParentToPlace = $("#accesssibilityId.accesssibility-icon").parent();
    var MrIconToAdd = $("#accesssibilityId.accesssibility-icon").clone();
    MrIconToAdd.attr('id', 'MrAccessInHand');
    $("#accesssibilityId.accesssibility-icon").remove();
    jQuery(MrParentToPlace).append(MrIconToAdd);

  }
  MrUAPAddStyle(".mr-muiTool {z-index:999999999999} #MrMUIHeader > label {color : " + MrMUIWhite + "} .mr-mask {z-index:999999999999} #MrMUIFooter { width: 95%;} ", "MrCSSfix");
  jQuery("#MrAccessInHand").click(function () {
    MrResolveGoogleTranslateIframe();
    MrToolCheckLicense();
    MrUAPShowAssistiveTool();
    MrMUIGetGoogleTranslationValues(2);
    if (jQuery('div[data-mrmui-tab-index="2"] div.MrMUIActivated').length == 0) {
      if (MrArabicUIisOn) {
        jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
        jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
      } else {
        jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
        jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
      }
    }
    jQuery('#MrMUIHeader label').text(MrArabicUIisOn ? 'حقيبة الوصول الشامل' : 'Universal Accessibility Pack');
  });
  MrUAPPrepareMrOrgColor();
  MrMUIActivateShotcuts();
  
  $(".MrBotLogo").attr('src', 'https://cdn.mindrocketsapis.com/client/imgs/png/bottomlogo-nomr.png');
  jQuery('#MrAccessInHand a').attr('href', 'javascript:void(0)');
  MrMUIAppendGoogleTranslate("3");
  setTimeout(function(){
  MrResolveGoogleTranslateIframe();

  },1000);
}
function MrResolveGoogleTranslateIframe()
{
  jQuery("iframe[name='votingFrame']").attr('title','google translate widget');
  jQuery("link[charset][href*='gstatic.com']").removeAttr('charset');
}
function MrChangeGoogleTranslateLanguageByName(name) {
  var value=MrFindGoogleValue(name)
  MrEndgoogleTranslate();
  mrSetTranslationChosenLang(value);
  setTimeout(function () {
    switch (value.toLocaleLowerCase()) {
      case "ar":
        MrGotoArabicVersion();
        break;
      case "en":
        MrGotoEnglishVersion();
        break;
      default:
        MrMUIApplyTranslate(value);
    }
  }, 100);

}
function MrFindGoogleValue(name) {
  const result = MrGoogleDic.find(item => item.mrnameen === name || item.mrnamear === name);
  return result ? result.value : null;
}
function MrisMobileBrowser() {
  var userAgent = navigator.userAgent;
  return /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(userAgent);
}
////endmr-bundler-ignore
window.addEventListener('load', function () {

  setTimeout(function () {
    MrStartUI();
    MrResolveGoogleTranslateIframe();
  }, 500);



});

